package cn.com.poc.appbuilder.dto;

import java.io.Serializable;
import java.util.List;

public class AppBuilderCommunicationDto extends AppBuilderTTSConfigDto implements Serializable {

    /**
     * 对话ID
     */
    private String conversationId;

    /**
     * 对话内容
     */
    private String query;

    /**
     * 文档ID列表
     */
    private List<String> fileIds;

    /**
     * 为true时则流式返回，为false时则一次性返回所有内容
     */
    private Boolean stream;

    public String getConversationId() {
        return conversationId;
    }

    public void setConversationId(String conversationId) {
        this.conversationId = conversationId;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public List<String> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<String> fileIds) {
        this.fileIds = fileIds;
    }

    public Boolean getStream() {
        return stream;
    }

    public void setStream(Boolean stream) {
        this.stream = stream;
    }

    @Override
    public String toString() {
        return "AppBuilderCommunicationDto{" +
                "conversationId='" + conversationId + '\'' +
                ", query='" + query + '\'' +
                ", fileIds=" + fileIds +
                ", stream=" + stream +
                '}';
    }
}
